Skip to main content
`Ctrl`+`K`

# PCBDDCSetLocalAdjacencyGraph

Set adjacency structure (CSR graph) of the local degrees of freedom.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCSetLocalAdjacencyGraph(PC pc, PetscInt nvtxs, const PetscInt xadj[], const PetscInt adjncy[], PetscCopyMode copymode)

Not collective

## Input Parameters

- pc - the preconditioning context.

- nvtxs - number of local vertices of the graph (i.e., the number of local dofs).

- xadj - CSR format row pointers for the connectivity of the dofs

- adjncy - CSR format column pointers for the connectivity of the dofs

- copymode - supported modes are `PETSC_COPY_VALUES`, `PETSC_USE_POINTER` or `PETSC_OWN_POINTER`.

## Note

A dof is considered connected with all local dofs if xadj[dof+1]-xadj[dof] == 1 and adjncy[xadj[dof]] is negative.

## See Also

KSP: Linear System Solvers, `PCBDDC`, `PetscCopyMode`

## Level

intermediate

## Location

src/ksp/pc/impls/bddc/bddc.c

## Examples

src/ksp/ksp/tutorials/ex59.c

## Implementations

PCBDDCSetLocalAdjacencyGraph_BDDC() in src/ksp/pc/impls/bddc/bddc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages